<form class="form-signin">
  <h2 class="form-signin-heading">Please sign in</h2>
  <label class="sr-only">Email address</label>
  <input type="text" [(ngModel)]="userName" class="form-control" name="username" placeholder="username" required="" autofocus="">

  <label class="sr-only">Password</label>
  <input type="password" [(ngModel)]="password" class="form-control" name="password" placeholder="Password" required="">

  <div class="row" style="padding: 10px 16px;">
    <a [routerLink]="['/register']">Register</a>
  </div>
  <button (click)="login()" class="btn btn-lg btn-primary btn-block" type="submit">Sign in</button>
</form>
